Subject: AW: AW: FAQ command line completion in bash
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 1 Feb 2001 18:23:29 +0100

Earnie, Thank you for this really helpful explanation!
This makes some things clearer to me...

Klaus

-----Ursprüngliche Nachricht-----
Von: Earnie Boyd [mailto:[email-masked]]
Gesendet am: Donnerstag, 1. Februar 2001 18:22
An: [email-masked]
Cc: [email-masked]; [email-masked]
Betreff: Re: AW: FAQ command line completion in bash

[email-masked] wrote:
> 
> >The cygwin FAQ states that
> >shopt -o nocaseglob
> >will remove case sensibility in command-line completion under bash.
> >This was not enough for my bash2.04 with cygwin1.1.7,
> >but it is now fine when there is also
> >set completion-ignore-case on
> >in my ~/.inputrc
> 
> set completion-ignore-case on
> in the ~/.inputrc is enough, the
> shopt -s nocaseglob
> has no effect and is not necessary(at least with Cygwin 1.1.7
> and latest bash)
> 

shopt -s nocaseglob

This shell builtin command ignores case for wildcard matching within the
filesystem names.  Therefore if set and I have a file Foobar and a file
foobar2, then when I do `ls f*' I see both Foobar and foobar2 listed. 
If not set the I would only see foobar2 listed.

set completion-ignore-case on

This is an option to control the readline library.  The readline library
is what reads the .inputrc file.  The readline library is also where
command line completion happens.  This option tells readline to complete
the filenames regardless of case.  This is completely unrelated to
globbing.

Earnie.

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple